Replace all Expected Racks

View as Markdown
Replace the full set of Expected Racks for a Site with the provided list. All existing Expected Racks for the Site that are not in the request body will be deleted, and any new Expected Racks in the request will be created. Existing Expected Racks with matching `rackId` values will be updated. Every entry in `expectedRacks` must reference the same `siteId` as the top-level `siteId`. `rackId` values must be unique within the request. The `expectedRacks` array may be empty to clear all Expected Racks for the Site. Org must have an Infrastructure Provider entity. User must have `FORGE_PROVIDER_ADMIN` role. Alternatively, Tenant Admins with `TargetedInstanceCreation` capability can also replace Expected Racks if they have an account with the Site's Infrastructure Provider.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired

Request

Replace-all Expected Racks request

siteIdstringRequiredformat: "uuid"
ID of the Site whose Expected Racks should be replaced
expectedRackslist of objectsRequired

The full desired set of Expected Racks for the Site. Every entry must reference the same siteId as the top-level field, and rackId values must be unique within the request. May be empty to clear all Expected Racks for the Site.

Response

OK
idstringRead-onlyformat: "uuid"

Unique identifier (UUID) for the Expected Rack

rackIdstringRead-only

Operator-supplied identifier for the rack (string, not UUID). Unique within a Site.

siteIdstringRead-onlyformat: "uuid"
ID of the Site the Expected Rack belongs to
rackProfileIdstring
Identifier of the Rack Profile this rack conforms to
namestring

Human-readable name of the Expected Rack

descriptionstring

Human-readable description of the Expected Rack

labelsmap from strings to strings

User-defined key-value pairs for organizing and categorizing Expected Racks. Well-known keys (chassis.*, location.*) are used to convey chassis identity and physical location.

createddatetimeRead-only
ISO 8601 datetime when the Expected Rack was created
updateddatetimeRead-only
ISO 8601 datetime when the Expected Rack was last updated

Errors

400
Bad Request Error
403
Forbidden Error